#
# Conditional build:
%bcond_with	eet	# eet images support

Summary:	Additional Loaders for Imlib2
Summary(pl.UTF-8):	Dodatkowe biblioteki wczytujące dla Imlib2
Name:		imlib2_loaders
Version:	1.7.0
Release:	1
License:	GPL v2+ (XCF loader), BSD-like (the rest)
Group:		Libraries
Source0:	http://downloads.sourceforge.net/enlightenment/%{name}-%{version}.tar.bz2
# Source0-md5:	7e5f5daf3ee29bdf57782341e3d5e03b
URL:		https://www.enlightenment.org/
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake >= 1.6
%{?with_eet:BuildRequires:	eet-devel >= 1.0.2}
BuildRequires:	imlib2-devel >= 1.4.10
BuildRequires:	libtool >= 2:2
BuildRequires:	pkgconfig
Requires:	imlib2 >= 1.4.10
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package contains additional image loaders for Imlib2 which for
some reason (such as license issues) are not distributed with Imlib2
directly.

%description -l pl.UTF-8
Ten pakiet zawiera dodatkowe biblioteki wczytujące obrazy dla Imlib2,
które z jakiegoś powodu (jak na przykład problemy licencyjne) nie są
rozprowadzane bezpośrednio z biblioteką Imlib2.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	--enable-eet%{!?with_eet:=no}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/imlib2/loaders/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING COPYING-PLAIN README
%attr(755,root,root) %{_libdir}/imlib2/loaders/ani.so
%if %{with eet}
%attr(755,root,root) %{_libdir}/imlib2/loaders/eet.so
%endif
%attr(755,root,root) %{_libdir}/imlib2/loaders/xcf.so
%changelog
* Mon Oct 05 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/imlib2_loaders.git;a=log;h=master

* Sun Oct 04 2020 Jakub Bogusz <qboosh@pld-linux.org> 5bcc0f2
- updated to 1.7.0
- disable eet by default

* Sun Dec 17 2017 Jakub Bogusz <qboosh@pld-linux.org> 00a3c06
- updated to 1.4.10

* Sun Jan 22 2017 Jakub Bogusz <qboosh@pld-linux.org> ffc9f14
- updated to 1.4.9

* Sat Mar 19 2016 Jakub Bogusz <qboosh@pld-linux.org> bf9a4f4
- updated to 1.4.8, edb loader is gone

* Mon Sep 06 2010 Jakub Bogusz <qboosh@pld-linux.org> 64754e7
- updated to 1.4.4

* Tue Nov 11 2008 pablo <pablo@pld-linux.org> 4a99e71
- up to 1.4.2

* Mon Aug 25 2008 pablo <pablo@pld-linux.org> ad82045
- updated to 20080813 snap

* Tue Jun 03 2008 Jakub Bogusz <qboosh@pld-linux.org> 733ebff
- updated ac/am BRs

* Sun Jun 01 2008 Bartłomiej Zimoń <cactus@pld-linux.org> 5da4536
- up to 1.4.1.000

* Sun Sep 09 2007 Jakub Bogusz <qboosh@pld-linux.org> 6362dc9
- updated to 1.4.0

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 991664a
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 2514b2b
- converted to UTF-8

* Fri Mar 17 2006 sparky <sparky@pld-linux.org> 853c468
- up to 1.2.1.012

* Wed Oct 12 2005 Karol Krenski <charles@pld-linux.org> 2c9bf64
- updated to 1.2.1.010

* Wed Aug 24 2005 Karol Krenski <charles@pld-linux.org> 0910f72
- updated to 1.2.1.004
- new Source0 ("official" snapshots)
- BR edb-devel up  to >= 1.0.5, imlib2-devel up to >= 1.2.1

* Tue Jul 12 2005 Jakub Bogusz <qboosh@pld-linux.org> 731107c
- pl

* Sun Jul 10 2005 sparky <sparky@pld-linux.org> 5e0fa8d
- Source0: ftp -> http

* Sat Jul 09 2005 sparky <sparky@pld-linux.org> ca4af52
- NEW - additional loaders for Imlib2
- status: builds, xcf works, others not sure

